Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096525 - Build only supported locales
Summary: Build only supported locales
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks: 902185 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-11 16:06 UTC by Alon Bar-Lev
Modified: 2015-02-16 13:35 UTC (History)
9 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:35:32 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27973 master MERGED engine,userportal,webadmin: configurable unsupported locales Never
oVirt gerrit 30122 ovirt-engine-3.5 MERGED engine,userportal,webadmin: configurable unsupported locales Never
oVirt gerrit 30465 ovirt-engine-3.5 ABANDONED userportal,webadmin: fix available locale variable Never
oVirt gerrit 30530 master MERGED webadmin, userportal: Revert configurable unsupported locales. Never
oVirt gerrit 30534 ovirt-engine-3.5 ABANDONED webadmin, userportal: revert configurable unsupported locales Never
oVirt gerrit 30536 ovirt-engine-3.5 MERGED webadmin, userportal: Revert configurable unsupported locales Never
oVirt gerrit 30553 master MERGED engine,userportal,webadmin: configurable unsupported locales Never
oVirt gerrit 32010 master MERGED engine,userportal,webadmin: configurable unsupported locales Never
oVirt gerrit 32035 ovirt-engine-3.5 MERGED engine,userportal,webadmin: configurable unsupported locales Never

Description Alon Bar-Lev 2014-05-11 16:06:56 UTC
Hi,

Since we do not progress using the mail thread, I open a bug.

The following downstream patch[1] removed specific unsupported locale by touching source files instead of preparing the infra of building only supported locale and have only spec file modifications.

I would like to see this (and similar) patch go away in favor of permanent solution that is based on build system alone.

We should instruct gwt to build only supported permutations, it should be supported out of the box, we just need to enable it.

Thanks,

[1] https://gerrit.eng.lab.tlv.redhat.com/#/c/12440/

Comment 2 Einav Cohen 2014-05-13 15:09:55 UTC
nothing except blockers should be introduced to 3.4.0 at this point -> flagging for 3.5.0, we can always backport to 3.4.z if needed. 

only if this is a 3.4.0 *GA blocker*, please re-flag with 'rhevm-3.4.0' *and 'blocker'*. 
if this is not a GA blocker and you would like to see this issue fixed in 3.4.z, please flag with 'rhevm-3.4.z' (in addition to 'rhevm-3.5.0', not instead).

Comment 7 Jiri Belka 2014-09-25 14:37:27 UTC
CodeChange keyword...


Note You need to log in before you can comment on or make changes to this bug.